using DiunaBI.Domain.Entities;
using DiunaBI.Infrastructure.Interfaces;

namespace DiunaBI.Infrastructure.Plugins;

public abstract class BaseDataProcessor : IDataProcessor
{
    public abstract string ProcessorType { get; }

    public virtual bool CanProcess(string processorType) => ProcessorType == processorType;

    public abstract void Process(Layer processWorker);
}
